Debian Bug report logs - #676854
xfce4-power-manager: automatic brightness adjust broken

version graph

Package: xfce4-power-manager; Maintainer for xfce4-power-manager is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for xfce4-power-manager is src:xfce4-power-manager.

Reported by: Andres Cimmarusti <acimmarusti@gmail.com>

Date: Sun, 10 Jun 2012 00:33:01 UTC

Severity: normal

Tags: fixed, fixed-upstream, patch, pending

Found in versions xfce4-power-manager/1.2.0-1, xfce4-power-manager/1.0.11-2

Forwarded to https://bugzilla.xfce.org/show_bug.cgi?id=8840

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, acimmarusti@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Sun, 10 Jun 2012 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
New Bug report received and forwarded. Copy sent to acimmarusti@gmail.com, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfce4-power-manager: automatic brightness adjust broken
Date: Sat, 09 Jun 2012 20:32:55 -0400
Package: xfce4-power-manager
Version: 1.0.11-2
Severity: normal

Using the xfce4-power-manager GUI to try to change the default values of 
brightness level to use when on AC or battery is impossible. Everytime I 
try changing it, it switches back to the default (80% on AC and 20% on 
battery). Looking at the settings in xfconf reveals that the values 
remain the same.

Even at the default values of brightness, xfpm fails to adjust the 
brightness of my LCD screen after the elapsed time. If I use the 
brightness plugin that I can add to the panel, then I can change the 
brightness manually without a problem. Furthermore, having tried gnome3 
recently, it also successfully varied the brightness automatically.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xfce4-power-manager depends on:
ii  libc6                     2.13-33
ii  libcairo2                 1.12.2-1
ii  libdbus-1-3               1.5.12-1
ii  libdbus-glib-1-2          0.98-1
ii  libgdk-pixbuf2.0-0        2.26.1-1
ii  libglib2.0-0              2.32.3-1
ii  libgtk2.0-0               2.24.10-1
ii  libnotify4                0.7.5-1
ii  libx11-6                  2:1.4.99.901-2
ii  libxext6                  2:1.3.1-2
ii  libxfce4ui-1-0            4.8.1-1
ii  libxfce4util4             4.8.2-1
ii  libxfconf-0-2             4.8.1-1
ii  libxrandr2                2:1.3.2-2
ii  upower                    0.9.16-2
ii  xfce4-power-manager-data  1.0.11-2

Versions of packages xfce4-power-manager recommends:
ii  consolekit  0.4.5-3

Versions of packages xfce4-power-manager suggests:
ii  udisks                       1.0.4-5
ii  xfce4-power-manager-plugins  1.0.11-2

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Sun, 10 Jun 2012 01:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 01:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 676854@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org
Cc: 676854@bugs.debian.org
Subject: Re: xfce4-power-manager: automatic brightness adjust broken
Date: Sat, 9 Jun 2012 21:29:26 -0400
found 676854 1.2.0-1
thanks

Further study reveals that values of brightness level do change (seen
by both xfconf and xfpm), however it still won't change the brightness
level automatically as expected.
I just tried with version 1.2.0 from experimental and still the same
problem. What can I do to the debug this and send more meaning
information?

Andres




Marked as found in versions xfce4-power-manager/1.2.0-1. Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sun, 10 Jun 2012 01:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Sun, 10 Jun 2012 19:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 19:27:02 GMT) Full text and rfc822 format available.

Message #17 received at 676854@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 676854@bugs.debian.org
Subject: Re: xfce4-power-manager: automatic brightness adjust broken
Date: Sun, 10 Jun 2012 15:22:26 -0400
[Message part 1 (text/plain, inline)]
I was able to start xfpm with the debug and no-daemon option in a
console and got the logged messages (attached).

I'm afraid the log is not very helpful (AFAIK). I let the computer be
idle and on battery for the specified time of 20 seconds and the
brightness didn't change.

Andres
[xfpm_1.2.0_debug.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Tue, 17 Jul 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Flittner <klaus@flittner.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 17 Jul 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #22 received at 676854@bugs.debian.org (full text, mbox):

From: Klaus Flittner <klaus@flittner.org>
To: 676854@bugs.debian.org
Subject: Patch available upstream
Date: Tue, 17 Jul 2012 20:51:46 +0200
This bug is already reported upstream and a patch is availabe there:

https://bugzilla.xfce.org/show_bug.cgi?id=8840



Set Bug forwarded-to-address to 'https://bugzilla.xfce.org/show_bug.cgi?id=8840'. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 18 Jul 2012 06:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Wed, 01 Aug 2012 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 01 Aug 2012 13:21:06 GMT) Full text and rfc822 format available.

Message #29 received at 676854@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org
Cc: 676854@bugs.debian.org, klaus@flittner.org, Yves-Alexis Perez <corsac@debian.org>
Subject: Re: xfce4-power-manager: automatic brightness adjust broken
Date: Wed, 1 Aug 2012 09:18:23 -0400
[Message part 1 (text/plain, inline)]
tags 676854 + fixed patch pending
thanks

I confirm that the patch referred to in the previous link
(https://bugzilla.xfce.org/show_bug.cgi?id=8840) fixes the problem
(I'm attaching it now with minor modifications so that the format
looks more similar to the patches already included in the xfpm debian
source).

I applied against the wheezy 'debianized' source, then compiled and
built the xfpm packages using 'dpkg-buildpackage', which I later
installed on my system.

Now brightness auto-adjust handled by xfce power manager works as
expected in all the tests I've done.

Please include this fix in the next version of the packages. Why has
this not been upstreamed yet?
[06_fix_dim_on_inactivity.patch (application/octet-stream, attachment)]

Added tag(s) fixed, pending, and patch. Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Wed, 01 Aug 2012 13:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#676854; Package xfce4-power-manager. (Wed, 01 Aug 2012 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Wed, 01 Aug 2012 18:09:05 GMT) Full text and rfc822 format available.

Message #36 received at 676854@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: control@bugs.debian.org, 676854@bugs.debian.org, klaus@flittner.org
Subject: Re: xfce4-power-manager: automatic brightness adjust broken
Date: Wed, 01 Aug 2012 20:08:05 +0200
[Message part 1 (text/plain, inline)]
On mer., 2012-08-01 at 09:18 -0400, Andres Cimmarusti wrote:
> tags 676854 + fixed patch pending
> thanks
> 
> I confirm that the patch referred to in the previous link
> (https://bugzilla.xfce.org/show_bug.cgi?id=8840) fixes the problem
> (I'm attaching it now with minor modifications so that the format
> looks more similar to the patches already included in the xfpm debian
> source).
> 
> I applied against the wheezy 'debianized' source, then compiled and
> built the xfpm packages using 'dpkg-buildpackage', which I later
> installed on my system.
> 
> Now brightness auto-adjust handled by xfce power manager works as
> expected in all the tests I've done.
> 
> Please include this fix in the next version of the packages. Why has
> this not been upstreamed yet?

Because the patch is wrong, it should make the type consistent.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 25 Jul 2013 17:39:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:07:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.